package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/***
 * 设备信息主表HYDOMC_ASSET
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("hydomc_asset")
public class HydomcAsset extends Model<HydomcAsset> implements Serializable {

    /***
     * 设备编码,主键  无其他主键可采用设备编码为主键，但要确保唯一（工程信息化设备原码）
     */
    @TableId(value="SBYBM")
    private String sbybm;

    /***
     * 广场id,项目唯一id，可采用租赁系统广场id，同步后不可更改
     */
    @TableField(value="SITEID")
    private String siteid;

    /***
     * 设备名称
     */
    @TableField(value="description")
    private String description;

    /***
     * 设备安装位置,详细设备安装位置，格式：楼体-楼层-区域
     */
    @TableField(value="wzqy")
    private String wzqy;

    /***
     * 设备服务区域,设备/系统服务范围
     */
    @TableField(value="fwqy")
    private String fwqy;

    /***
     * 设备型号,厂商设备型号
     */
    @TableField(value="sbxh")
    private String sbxh;

    /***
     * 设备分类,对接设备分类id，同步后不可更改
     */
    @TableField(value="CLASSSTRUCTUREID")
    private String classstructureid;

    /***
     * 设备状态,运行中/报废 默认都为运行中
     */
    @TableField(value="STATUS")
    private String status;

    /***
     * 设备序号,同类设备的序号，即第几台设备：第几台电梯
     */
    @TableField(value="sbxhh")
    private String sbxhh;

    /***
     * 厂家设备序列号,厂家编码
     */
    @TableField(value="CJSBXH")
    private String cjsbxh;

    /***
     * 生产商,生产商公司供方管理系统编码code
     */
    @TableField(value="MANUFACTURER")
    private String manufacturer;

    /***
     * 供应商,供应商公司供方管理系统编码code
     */
    @TableField(value="VENDOR")
    private String vendor;

    /***
     * 服务商,服务商公司供方管理系统编码code
     */
    @TableField(value="FWS")
    private String fws;

    /***
     * 采购金额,填写人民币元
     */
    @TableField(value="PURCHASEPRICE")
    private Double purchaseprice;

    /***
     * 折旧/使用年限,按年填写如3年半则填写 3.5
     */
    @TableField(value="ZJSYNX")
    private Double zjsynx;

    /***
     * 生产日期/出厂日期 年/月/日
     */
    @TableField(value="SCRQ")
    private Date scrq;

    /***
     * 采购日期
     */
    @TableField(value="CGRQ")
    private Date cgrq;

    /***
     * 安装日期
     */
    @TableField(value="AZDATE")
    private Date azdate;

    /***
     * 启用日期
     */
    @TableField(value="INSTALLDATE")
    private Date installdate;

    /***
     * 质保开始日期
     */
    @TableField(value="ZBKSRQ")
    private Date zbksrq;

    /***
     * 质保结束日期
     */
    @TableField(value="ZBJSRQ")
    private Date zbjsrq;

    /***
     * 中修周期,单位为月
     */
    @TableField(value="ZXZQ")
    private Double zxzq;

    /***
     * 大修周期,单位为月
     */
    @TableField(value="DXZQ")
    private Double dxzq;

    /***
     * 物业类型 自持/销售/合作方
     */
    @TableField(value="WYLX")
    private String wylx;

    /***
     * 设备管理归属,商管/百货/大歌星/超市/影院/大酒楼/其他
     */
    @TableField(value="SBGLGS")
    private String sbglgs;

    /***
     * 慧云设备编码
     */
    @TableField(value="HYSBBM")
    private String hysbbm;

    /***
     * 是否慧云使用,是/否    缺省为 是
     */
    @TableField(value="SFHYSY")
    private String sfhysy;

    /***
     * 是否是主力店 缺省为 否
     */
    @TableField(value="SFZLD")
    private String sfzld;

    /***
     * 备注
     */
    @TableField(value="MARK")
    private String mark;

    /***
     * 变更人员的万信账号
     */
    @TableField(value="CTX")
    private String ctx;

    /***
     * 数据状态,update/delete 当数据状态为delete时，设备状态需改为报废
     */
    @TableField(value="DATASTATUS")
    private String datastatus;

    /***
     * 数据更新时间 增量字段
     */
    @TableField(value="CHANGEDATE")
    private Date changedate;



}
