package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/***
 * 设备参数信息HYDOMC_ASSETSPEC
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("hydomc_assetspec")
public class HydomcAssetspec  extends UUIDBaseEntity<HydomcAssetspec> implements Serializable {

    /***
     * 设备编码,主键  无其他主键可采用设备编码为主键，但要确保唯一（工程信息化设备原码）
     */
    @TableField(value="SBYBM")
    private String sbybm;

    /***
     * 广场id,项目唯一id，可采用租赁系统广场id，同步后不可更改
     */
    @TableField(value="SITEID")
    private String siteid;

    /***
     * 设备分类,对接设备分类id，同步后不可更改
     */
    @TableField(value="CLASSSTRUCTUREID")
    private String classstructureid;

    /***
     * 设备分类名称
     */
    @TableField(value="CLASSQC")
    private String classqc;

    /***
     *设备参数id
     */
    @TableField(value="ASSETATTRID")
    private String assetattrid;

    /***
     * 设备参数名称
     */
    @TableField(value="CSDESC")
    private String csdesc;

    /***
     * 设备参数类型
     */
    @TableField(value="DATATYPE")
    private String datatype;

    /***
     * 设备参数单位编码
     */
    @TableField(value="MEASUREUNITID")
    private String measureunitid;

    /***
     * 设备参数单位名称
     */
    @TableField(value="CSJLDW")
    private String csjldw;

    /***
     * 设备参数数字值
     */
    @TableField(value="NUMVALUE")
    private Double numvalue;

    /***
     * 设备参数文本值
     */
    @TableField(value="ALNVALUE")
    private String alnvalue;

    /***
     * 数据状态
     */
    @TableField(value="DATASTATUS")
    private String datastatus;

    /***
     * 设备参数单位编码
     */
    @TableField(value="CHANGEDATE")
    private Date changedate;



}
