package com.persagy.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/***
 * 设备信息主表HYDOMC_ASSET
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@ToString
@TableName(autoResultMap = true)
public class RwdObjectWd  implements Serializable {

    /**
     * 主键id
     */
    @TableId(value="id")
    private String id;

    /**
     * 对象名称
     */
    @TableField(value="name")
    private String name;

    /**
     * 对象本地编码
     */
    @JSONField(name="local_id")
    @TableField(value="local_id")
    private String localId;

    /**
     * 对象本地名称
     */
    @JSONField(name="local_name")
    @TableField(value="local_name")
    private String localName;

    /**
     * 集团编码
     */
    @JSONField(name="group_code")
    private String groupCode;

    /**
     * 项目id
     */
    @JSONField(name="project_id")
    @TableField(value="project_id")
    private String projectId;

    /**
     * 对象类别
     */
    @JSONField(name="obj_type")
    private String objType;

    /**
     * 对象类型编码
     */
    @JSONField(name="class_code")
    @TableField(value="class_code")
    private String classCode;

    /**
     * 编组
     */
    @JSONField(name="grouping")
    private Integer grouping;

    /**
     * 是否有效
     */
    @JSONField(name="valid")
    @TableField(value="valid")
    private Integer valid;

    /**
     * 信息点
     */
    @JSONField(name="infos")
    @TableField(value="infos", jdbcType = JdbcType.VARCHAR,typeHandler = FastjsonTypeHandler.class)
    private JSONObject infos;

    /**
     * 虚点清单
     */
    @JSONField(name="virtual_info_codes")
    private String virtualInfoCodes;

    /**
     * 创建时间
     */
    @JSONField(name="create_time")
    @TableField(value="create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @JSONField(name="update_time")
    @TableField(value="update_time")
    private Date updateTime;

    /**
     * 创建人
     */
    @JSONField(name="create_user")
    private String createUser;

    /**
     * 更新人
     */
    @JSONField(name="update_user")
    private String updateUser;

    /**
     * 创建应用
     */
    @JSONField(name="createApp")
    private String create_app;

    /**
     * 最后更新应用
     */
    @JSONField(name="update_app")
    private String updateApp;


}
