package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/***
 * 中台与万达的项目关系转换表
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_rwd_relation")
public class VhydomcRwdRelation  extends Model<VhydomcRwdRelation> implements Serializable {


    /***
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 设备分类id
     */
    @TableField(value = "CLASSSTRUCTUREID")
    private String classstructureid;

    /**
     * 博锐类型编码
     */
    @TableField(value = "class_code")
    private String classCode;

    /**
     * 设备分类名称
     */
    @TableField(value = "CLASSQC")
    private String classqc;

    /**
     * 万达字典设备编码
     */
    @TableField(value = "wd_classifcation_code")
    private String wdClassifcationCode;

    /**
     * 慧云设备类型名称
     */
    @TableField(value = "huiyun_device_name")
    private String huiyun_device_name;

    /**
     * 构件分类编码(为空表示不需要二级判断)
     */
    @TableField(value = "local_id")
    private String localId;

}
