-- 创建万达设备信息主表HYDOMC_ASSET，需要同步数据的主表(基础公共信息点)
CREATE TABLE `v_hydomc_asset_relation_rwd` (
  `id` bigint(12) NOT NULL AUTO_INCREMENT,
  `wd_remark` varchar(40) DEFAULT NULL COMMENT '描述',
  `wd_code` varchar(40) DEFAULT NULL COMMENT '万达编码',
  `rwd_remark` varchar(255) DEFAULT NULL COMMENT '描述信息',
  `rwd_code` varchar(40) DEFAULT NULL COMMENT '中台编码 ',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='万达-中台设备信息主表字段映射关系表';

-- wd初始化数据,中台与万达的转换字段对应表数据
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (2, '设备编码', 'SBYBM', '工程信息化编码', 'wD_gongchengxinxihua');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (3, '设备名称', 'description', '工程设备名称', 'wD_shebeimingcheng');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (4, '设备安装位置', 'wzqy', '设备所在空间关系', '');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (5, '设备服务区域', 'fwqy', '设备服务空间关系', 'wD_equipfuwuquyu');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (6, '设备型号', 'sbxh', '设备型号', 'specification');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (7, '设备分类', 'CLASSSTRUCTUREID', '设备分类', 'wD_shebeifenlei');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (8, '设备状态', 'STATUS', '设备状态', 'equipstatus');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (9, '设备序号', 'sbxhh', '设备序号', 'wD_equipnumber');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (10, '厂家设备序列号', 'CJSBXH', '厂家设备序列号', 'wD_serialnum');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (11, '生产商', 'MANUFACTURER', '生产商', 'manufacturer');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (12, '供应商', 'VENDOR', '供应商', 'supplier');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (13, '服务商', 'FWS', '服务商', 'maintainer');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (14, '采购金额', 'PURCHASEPRICE', '采购金额', 'purchasePrice');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (15, '折旧/使用年限', 'ZJSYNX', '折旧/使用年限', 'wD_servicelife');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (16, '生产日期/出厂日期', 'SCRQ', '生产日期/出厂日期', 'wD_productdate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (17, '采购日期', 'CGRQ', '采购日期', 'PurchaseDate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (18, '安装日期', 'AZDATE', '安装日期', 'InstallDate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (19, '启用日期', 'INSTALLDATE', '启用日期', 'wD_enabledate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (20, '质保开始日期', 'ZBKSRQ', '质保开始日期', 'wD_warrantystartdate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (21, '质保结束日期', 'ZBJSRQ', '质保结束日期', 'wD_warrantyenddate');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (22, '中修周期', 'ZXZQ', '中修周期', 'wD_mediumrepaircycle');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (23, '大修周期', 'DXZQ', '大修周期', 'wD_overhaulcycle');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (24, '物业类型', 'WYLX', '物业类型', 'wD_propertytype');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (25, '设备管理归属', 'SBGLGS', '设备管理归属', 'wD_equipmanageownership');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (26, '慧云设备编码', 'HYSBBM', '慧云本地编码', 'wD_huiyunbendibianma');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (27, '是否慧云使用', 'SFHYSY', '是否慧云使用', 'wD_huiyunuse');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (28, '是否是主力店', 'SFZLD', '是否是主力店', 'wD_mainstore');
INSERT INTO `v_hydomc_asset_relation_rwd` VALUES (29, '备注', 'MARK', '', '');