-- 同步万达数据主表，设备信息主表HYDOMC_ASSET
CREATE TABLE `hydomc_asset` (
  `SBYBM` varchar(80) NOT NULL COMMENT '设备编码,主键  无其他主键可采用设备编码为主键，但要确保唯一（工程信息化设备原码）',
  `SITEID` varchar(40) NOT NULL COMMENT '广场id,项目唯一id，可采用租赁系统广场id，同步后不可更改',
  `description` varchar(400) DEFAULT NULL COMMENT '设备名称',
  `wzqy` varchar(100) DEFAULT NULL COMMENT '设备安装位置,详细设备安装位置，格式：楼体-楼层-区域',
  `fwqy` varchar(100) DEFAULT NULL COMMENT '设备服务区域,设备/系统服务范围',
  `sbxh` varchar(100) DEFAULT NULL COMMENT '设备型号,厂商设备型号',
  `CLASSSTRUCTUREID` varchar(40) DEFAULT NULL COMMENT '设备分类,对接设备分类id，同步后不可更改',
  `STATUS` varchar(40) DEFAULT NULL COMMENT '设备状态,运行中/报废 默认都为运行中',
  `sbxhh` varchar(40) DEFAULT NULL COMMENT '设备序号,同类设备的序号，即第几台设备：第几台电梯',
  `CJSBXH` varchar(100) DEFAULT NULL COMMENT '厂家设备序列号,厂家编码',
  `MANUFACTURER` varchar(40) DEFAULT NULL COMMENT '生产商,生产商公司供方管理系统编码code',
  `VENDOR` varchar(40) DEFAULT NULL COMMENT '供应商,供应商公司供方管理系统编码code',
  `FWS` varchar(40) DEFAULT NULL COMMENT '服务商,服务商公司供方管理系统编码code',
  `PURCHASEPRICE` double(10,2) DEFAULT NULL COMMENT '采购金额,填写人民币元',
  `ZJSYNX` double(10,2) DEFAULT NULL COMMENT '折旧/使用年限,按年填写如3年半则填写 3.5',
  `SCRQ` datetime DEFAULT NULL COMMENT '生产日期/出厂日期 年/月/日',
  `CGRQ` datetime DEFAULT NULL COMMENT '采购日期',
  `AZDATE` datetime DEFAULT NULL COMMENT '安装日期',
  `INSTALLDATE` datetime DEFAULT NULL COMMENT '启用日期',
  `ZBKSRQ` datetime DEFAULT NULL COMMENT '质保开始日期',
  `ZBJSRQ` datetime DEFAULT NULL COMMENT '质保结束日期',
  `ZXZQ` double(10,0) DEFAULT NULL COMMENT '中修周期,单位为月',
  `DXZQ` double(10,0) DEFAULT NULL COMMENT '大修周期,单位为月',
  `WYLX` varchar(100) DEFAULT NULL COMMENT '物业类型 自持/销售/合作方',
  `SBGLGS` varchar(40) DEFAULT NULL COMMENT '设备管理归属,商管/百货/大歌星/超市/影院/大酒楼/其他',
  `HYSBBM` varchar(40) DEFAULT NULL COMMENT '慧云设备编码',
  `SFHYSY` varchar(40) DEFAULT NULL COMMENT '是否慧云使用,是/否    缺省为 是',
  `SFZLD` varchar(100) DEFAULT NULL COMMENT '是否是主力店 缺省为 否',
  `MARK` varchar(100) DEFAULT NULL COMMENT '备注',
  `CTX` varchar(100) DEFAULT NULL COMMENT '变更人员的万信账号',
  `DATASTATUS` varchar(40) DEFAULT NULL COMMENT '数据状态,update/delete 当数据状态为delete时，设备状态需改为报废',
  `CHANGEDATE` datetime DEFAULT NULL COMMENT '数据更新时间 增量字段',
  PRIMARY KEY (`SBYBM`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='设备信息主表HYDOMC_ASSET';